<?php
if(empty($conditions)) {
	$conditions .= ' WHERE INT_TIPO="A"';
} else {
	$conditions .= ' AND INT_TIPO="A"';
}
$sql         = "SELECT COUNT(*) as count from interessados $conditions";
$command     = Yii::app()->db->createCommand($sql);
$cadastrados = $command->queryAll();
if (isset($cadastrados[0]['count'])) {
	$cadastrados = $cadastrados[0]['count'];
}

$vinculados = 0;
$sql        = "SELECT COUNT(*) as count from interessados a inner join interessados_situacoes b on a.INT_CODIGO = b.IST_IDINTERESSADO $conditions AND b.IST_SITUACAO = " .Interessados::VINCULADO;
$command    = Yii::app()->db->createCommand($sql);
$vinculados = $command->queryAll();
if (isset($vinculados[0]['count'])) {
	$vinculados = $vinculados[0]['count'];
}

$tratamento           = 0;
$situacoes_tratamento = array(Interessados::NEGOCIACAO, Interessados::NEGOCIACAO_POSTERGADA);
$sql                  = "SELECT COUNT(*) as count from interessados a inner join interessados_situacoes b on a.INT_CODIGO = b.IST_IDINTERESSADO $conditions AND b.IST_SITUACAO in(" .implode(',', $situacoes_tratamento).')';
$command              = Yii::app()->db->createCommand($sql);
$tratamento           = $command->queryAll();
if (isset($tratamento[0]['count'])) {
	$tratamento = $tratamento[0]['count'];
}

$fechamento = 0;
$sql        = "SELECT COUNT(*) as count from interessados a inner join interessados_situacoes b on a.INT_CODIGO = b.IST_IDINTERESSADO $conditions AND b.IST_SITUACAO = " .Interessados::FECHAMENTO_POSITIVO;
$command    = Yii::app()->db->createCommand($sql);
$fechamento = $command->queryAll();
if (isset($fechamento[0]['count'])) {
	$fechamento = $fechamento[0]['count'];
}

$ativados          = 0;
$situacoes_ativado = array(Interessados::ATIVADO, Interessados::ADENDO_ATIVADO, Interessados::CLIENTE_REATIVADO);
$sql               = "SELECT COUNT(*) as count from interessados a inner join interessados_situacoes b on a.INT_CODIGO = b.IST_IDINTERESSADO $conditions AND b.IST_SITUACAO in(" .implode(',', $situacoes_ativado).')';
$command           = Yii::app()->db->createCommand($sql);
$ativados          = $command->queryAll();
if (isset($ativados[0]['count'])) {
	$ativados = $ativados[0]['count'];
}

$this->widget('ext.highcharts.HighchartsWidget', array(
		'scriptPosition' => CClientScript::POS_END,
		'scripts'        => array(
			'modules/exporting',
			/*'modules/offline-exporting',*/
			'modules/canvas-tools',
			/*'modules/export-csv',*/
			/*'modules/jspdf',*/
			'modules/export-clientside',
			'modules/funnel',
		),
		'options' => array(
			'title'  => array(
				'text'  => 'Interessados em adendos',
			),
			'labels' => array(
				'align' => 'right',
				'x'     => -10,
				'y'     => 0,
			),
			'lang'                => array(
				'printChart'         => 'Imprimir Gráfico',
				'downloadPNG'        => '',
				'downloadJPEG'       => '',
				'downloadSVG'        => 'Download imagem (vetor SVG)',
				'downloadPDF'        => '',
				'contextButtonTitle' => 'Opções',
				'loading'            => 'Carregando...',
				'downloadCSV'        => '',
				'downloadXLS'        => 'Download excel (xls)',
				'viewData'           => '',
			),
			'chart'        => array(
				'type'        => 'pyramid',
				'style'       => array(
					'fontFamily' => 'Arial, Helvetica, sans-serif',
				),
				'marginRight' => 120
			),
			'series' => array(
				array(
					'name' => 'Interessados',
					'data' => array(
						['Cadastrados', (int) $cadastrados],
						['Tratados', (int) $vinculados],
						['Em negociação', (int) $tratamento],
						['Fechamento positivo', (int) $fechamento],
						['Adendos ativados', (int) $ativados],
					),
				)
			),
			'plotOptions'      => array(
				'series'          => array(
					'dataLabels'     => array(
						'enabled'       => true,
						'format'        => '<b>{point.name}</b> ({point.y:,.0f})',
						'color'         => '(Highcharts.theme && Highcharts.theme.contrastTextColor) || "black"',
						'softConnector' => true
					),

					//-- Other available options
					// height: pixels or percent
					// width: pixels or percent
				)
			),
			'legend'  => array(
				'enable' => false,
			),
			'credits'  => array(
				'enabled' => false
			),
			'exporting'      => array(
				'printMaxWidth' => 1000,
				'width'         => 1000,
				'filename'      => Util::slug('grafico_atendimentos_'.date('d_m_Y_H_i_s'))
			)
		)
	)
);
?>